## org.h2.upgrade
Class DbUpgrade

    java.lang.Object
      org.h2.upgrade.DbUpgrade

    public class DbUpgrade

extends java.lang.Object

This class starts the conversion from older database versions to the current version if the respective classes are found.

Constructor Summary
`DbUpgrade()`

Method Summary
`static void` `upgrade(java.lang.String url, java.util.Properties info)` Starts the conversion if the respective classes are found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbUpgrade

    public DbUpgrade()

Method Detail

### upgrade

    public static void upgrade(java.lang.String url,
                               java.util.Properties info)
                        throws java.sql.SQLException

  Starts the conversion if the respective classes are found. Is automatically called on connect.

  Parameters:
    `url` - The connection string
    `info` - The connection Properties
  Throws:
    `java.sql.SQLException`